import request from '@/utils/request'

// 查询设备控制记录列表
export function listControl(query) {
    return request({
        url: '/device/control/list',
        method: 'get',
        params: query
    })
}

// 查询设备控制记录详细
export function getControl(id) {
    return request({
        url: '/device/control/' + id,
        method: 'get'
    })
}

// 新增设备控制记录
export function addControl(data) {
    return request({
        url: '/device/control',
        method: 'post',
        data: data
    })
}

// 修改设备控制记录
export function updateControl(data) {
    return request({
        url: '/device/control',
        method: 'put',
        data: data
    })
}

// 删除设备控制记录
export function delControl(id) {
    return request({
        url: '/device/control/' + id,
        method: 'delete'
    })
}
